{
  "name": "backend",
  "version": "1.0.0",
  "description": "",
  "main": "index.js",
  "scripts": {
    "build": "tsc",
    "watch": "tsc -w",
    "start": "nodemon --expose-gc dist/server.js",
    "dev:server": "ts-node-dev --respawn --transpile-only --ignore node_modules src/server.ts",
    "dev": "nodemon --exec npm run dev:server",
    "pretest": "NODE_ENV=test sequelize db:migrate && NODE_ENV=test sequelize db:seed:all",
    "test": "NODE_ENV=test jest",
    "posttest": "NODE_ENV=test sequelize db:migrate:undo:all"
  },
  "author": "",
  "license": "MIT",
  "dependencies": {
    "@sentry/node": "^5.29.2",
    "@socket.io/redis-adapter": "^7.2.0",
    "@types/fluent-ffmpeg": "^2.1.21",
    "@types/pino": "^6.3.4",
    "axios": "^1.2.3",
    "bcryptjs": "^2.4.3",
    "cookie-parser": "^1.4.5",
    "cors": "^2.8.5",
    "date-fns": "^2.30.0",
    "date-fns-tz": "^1.3.8",
    "dotenv": "^8.2.0",
    "eiows": "^7.0.3",
    "express": "^4.17.1",
    "express-async-errors": "^3.1.1",
    "fast-folder-size": "^1.7.0",
    "flat": "^5.0.2",
    "fluent-ffmpeg": "^2.1.2",
    "fs-extra": "^10.1.0",
    "http-graceful-shutdown": "^2.3.2",
    "ioredis": "^5.2.3",
    "jsonwebtoken": "^8.5.1",
    "multer": "^1.4.2",
    "mysql2": "^2.2.5",
    "pg": "^8.4.1",
    "pino": "^6.9.0",
    "pino-pretty": "^9.1.1",
    "qrcode-terminal": "^0.12.0",
    "redis": "^4.6.13",
    "reflect-metadata": "^0.1.13",
    "sequelize": "^5.22.3",
    "sequelize-cli": "^5.5.1",
    "sequelize-typescript": "^1.1.0",
    "sharp": "^0.32.5",
    "socket.io": "^4.7.5",
    "socket.io-client": "^4.5.4",
    "uuid": "^8.3.2",
    "whatsapp-web.js": "github:pedroslopez/whatsapp-web.js",
    "yup": "^0.32.8"
  },
  "devDependencies": {
    "@types/bcryptjs": "^2.4.2",
    "@types/bluebird": "^3.5.32",
    "@types/cookie-parser": "^1.4.2",
    "@types/cors": "^2.8.7",
    "@types/express": "^4.17.13",
    "@types/factory-girl": "^5.0.2",
    "@types/faker": "^5.1.3",
    "@types/jest": "^26.0.15",
    "@types/jsonwebtoken": "^8.5.0",
    "@types/multer": "^1.4.4",
    "@types/node": "^14.11.8",
    "@types/supertest": "^2.0.10",
    "@types/uuid": "^8.3.4",
    "@types/validator": "^13.1.0",
    "@types/yup": "^0.29.8",
    "@typescript-eslint/eslint-plugin": "^4.4.0",
    "@typescript-eslint/parser": "^4.4.0",
    "eslint": "^7.10.0",
    "eslint-config-airbnb-base": "^14.2.0",
    "eslint-config-prettier": "^6.12.0",
    "eslint-import-resolver-typescript": "^2.3.0",
    "eslint-plugin-import": "^2.22.1",
    "eslint-plugin-prettier": "^3.1.4",
    "factory-girl": "^5.0.4",
    "faker": "^5.1.0",
    "jest": "^26.6.0",
    "nodemon": "^2.0.4",
    "prettier": "^2.1.2",
    "supertest": "^5.0.0",
    "ts-jest": "^26.4.1",
    "ts-node-dev": "^1.0.0-pre.63",
    "typescript": "4.1.6"
  }
}
